; configuration file for yaP v0.34 (http://rolandtoth.hu/yaP/)
; application name: UltraVNC Viewer
; version: 1.0.9.6
; website: http://ultravnc.sourceforge.net/

[GENERAL] 
; general launcher settings

application=App\vncviewer.exe
applicationX64=
; main app to run (absolute/relative path). Required. 
; "App\MyApp.exe", "..\MyApp.exe", "%PROGRAMFILES%\MyApp.exe", "C:\MyApp.exe"

commandline=
; commandline parameters to pass to the main app. Example: "/nosplash"

silentbatch=
; show or hide the console window when running .bat files. Values: 0|1|-1

workdir=
; working directory of the main app. Default: empty

configdir=
; directory where yaP looks for batch/reg files (relative path). Default: empty

requireadminrights=
; warn user if adminrights is required to run the main app. Values: 1|2|-1

requiredotnetversion=
; Microsoft .NET version required by the main app. Examples: 4.0|4|2.1!|2!

requirejavaversion=
; minimum Java version needed to run the main app. Examples: 1.6|1.7!

multipleinstance=
; enable/disable multiple instances of the main app. Values: 1|2|-1

[DIRECTORIES]
; main app's settings directory to backup/restore (absolute path)
delempty=%AppData%\UltraVNC

[FILES]
; main app's setting files to backup/restore (absolute path)
.=%AppData%\UltraVNC\options.vnc

[REGISTRY KEYS]
; main app's regkeys to create/backup/restore/delete/export
settings.reg=HKEY_CURRENT_USER\Software\ORL\VNCviewer
backup=HKEY_CLASSES_ROOT\.vnc
backup=HKEY_CLASSES_ROOT\VncViewer.Config
backup=HKEY_CURRENT_USER\AppEvents\EventLabels\VNCviewerBell
backup=HKEY_CURRENT_USER\AppEvents\Schemes\Apps\VNCviewer
backup=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\vncviewer.exe
delempty=HKEY_CURRENT_USER\Software\ORL

[REGISTRY VALUES]
; reg values to add/delete from registry
; MyRegData=HKCU\Software\MyApp;MyRegValueName;REG_SZ

[BEFORE]
; items to run before launching the main app

batch=
; .bat file in configdir to run BEFORE the main app. Example: before.bat

registry=
; .reg file in configdir to merge into the registry. Example: reginfo.reg

wait=
; milliseconds to wait before executing BEFORE items

systemrefresh=
; 1: refresh the system BEFORE the main app

message=
; show users a dialog BEFORE the main app. Example: "Click OK to continue"

[AFTER]
; items to run after the main app is closed

batch=
; .bat file in configdir to run AFTER the main app. Example: before.bat

registry=
; .reg file in configdir to merge into the registry. Example: regclean.reg

wait=
; milliseconds to wait before executing AFTER items

systemrefresh=
; 1: refresh the system AFTER the main app

message=
; show users a dialog AFTER the main app. Example: "Click OK to clean up"

[ENVIRONMENT VARIABLES]
; specify custom environment variables here for the main app
; APPDATA={YAPROOT}\Settings

; Macros:
; path: {YAPROOT} {EXEPATH} {DRIVE} {USERFILE} {USERDIR}
; text: {CLIPBOARD} {LINEBREAK} {USERTEXT}
; date: {d} {j} {m} {n} {Y} {y} {g} {G} {h} {H} {i} {s} {U}
; lang: {LANG} {LOCALE} {LOCALENAME} {LOCALENAME_SHORT} {COUNTRY}